Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class SVGLoadEventDispatcherEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.svg.SVGLoadEventDispatcherEvent

All Implemented Interfaces:
  Serializable

    public class SVGLoadEventDispatcherEvent

extends EventObject

This class represents an event which indicate an event originated from a SVGLoadEventDispatcher instance.

See Also:
  Serialized Form

Field Summary
`protected GraphicsNode` | `gvtRoot` The GVT root.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SVGLoadEventDispatcherEvent(Object source, GraphicsNode root)` Creates a new SVGLoadEventDispatcherEvent.

Method Summary
`GraphicsNode` | `getGVTRoot()` Returns the GVT tree root, or null if the gvt construction was not completed or just started.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### gvtRoot

    protected GraphicsNode gvtRoot

  The GVT root.

Constructor Detail

### SVGLoadEventDispatcherEvent

    public SVGLoadEventDispatcherEvent(Object source,
                                       GraphicsNode root)

  Creates a new SVGLoadEventDispatcherEvent.

  Parameters:
    `source` - the object that originated the event, ie. the SVGLoadEventDispatcher.
    `root` - the GVT root.

Method Detail

### getGVTRoot

    public GraphicsNode getGVTRoot()

  Returns the GVT tree root, or null if the gvt construction was not completed or just started.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.